From 05d5cd3283ad535b613042911ec6a3ff51cdc181 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:28:17 +0000
Subject: [PATCH 518/1001] Replace calls to by_openid to calls to by_username thanks @puiterwijk


---

diff --git a/populate.py b/populate.py
index 8487aa9..a9cbe39 100755
--- a/populate.py
+++ b/populate.py
@@ -58,9 +58,9 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'pravins'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_username(session, 'pravins'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'subscriber')
 
 
 session.commit()
@@ -101,11 +101,11 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'jflory7'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'bee2502'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'keekri'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'linuxmodder'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'jflory7'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'bee2502'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'keekri'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'linuxmodder'), 'member')
 
 
 session.commit()
@@ -146,12 +146,12 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'croberts'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ryanlerch'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'mrichard'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'mattdm'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_username(session, 'croberts'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'ryanlerch'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'mrichard'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'mattdm'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'subscriber')
 
 
 session.commit()
@@ -192,13 +192,13 @@ hub.widgets.append(widget)
 
 
 # Set up some memberships
-hub.subscribe(session, hubs.models.User.by_openid(session, 'duffy'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ryanlerch'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'gnokii'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'mrichard'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'nask0'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_username(session, 'duffy'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'ryanlerch'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'gnokii'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'mrichard'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'nask0'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'subscriber')
 
 session.commit()
 
@@ -238,10 +238,10 @@ widget = hubs.models.Widget(plugin='dummy', index=3, left=True)
 hub.widgets.append(widget)
 
 
-hub.subscribe(session, hubs.models.User.by_openid(session, 'ralph'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'abompard'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'lmacken'), 'owner')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'nask0'), 'member')
-hub.subscribe(session, hubs.models.User.by_openid(session, 'decause'), 'subscriber')
+hub.subscribe(session, hubs.models.User.by_username(session, 'ralph'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'abompard'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'lmacken'), 'owner')
+hub.subscribe(session, hubs.models.User.by_username(session, 'nask0'), 'member')
+hub.subscribe(session, hubs.models.User.by_username(session, 'decause'), 'subscriber')
 
 session.commit()

